# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray1OfBSplineCurve Class Reference

`#include <PColPGeom_HArray1OfBSplineCurve.hxx>`

## Public Member Functions

Standard_EXPORT | PColPGeom_HArray1OfBSplineCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom_HArray1OfBSplineCurve (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom_BSplineCurve)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BSplineCurve)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom_BSplineCurve | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray1OfBSplineCurve ()
| PColPGeom_HArray1OfBSplineCurve (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBSplineCurveLowerBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBSplineCurveLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBSplineCurveUpperBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBSplineCurveUpperBound (const Standard_Integer p)
const PColPGeom_FieldOfHArray1OfBSplineCurve & | _CSFDB_GetPColPGeom_HArray1OfBSplineCurveData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColPGeom_FieldOfHArray1OfBSplineCurve | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom_FieldOfHArray1OfBSplineCurve | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray1OfBSplineCurve::PColPGeom_HArray1OfBSplineCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom_HArray1OfBSplineCurve::PColPGeom_HArray1OfBSplineCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom_BSplineCurve)& | V
| ) |

PColPGeom_HArray1OfBSplineCurve::PColPGeom_HArray1OfBSplineCurve | ( |  | ) | `[inline]`

PColPGeom_HArray1OfBSplineCurve::PColPGeom_HArray1OfBSplineCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray1OfBSplineCurve& PColPGeom_HArray1OfBSplineCurve::_CSFDB_GetPColPGeom_HArray1OfBSplineCurveData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBSplineCurve::_CSFDB_GetPColPGeom_HArray1OfBSplineCurveLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBSplineCurve::_CSFDB_GetPColPGeom_HArray1OfBSplineCurveUpperBound | ( |  | ) | const`[inline]`

void PColPGeom_HArray1OfBSplineCurve::_CSFDB_SetPColPGeom_HArray1OfBSplineCurveLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray1OfBSplineCurve::_CSFDB_SetPColPGeom_HArray1OfBSplineCurveUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom_HArray1OfBSplineCurve::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray1OfBSplineCurve PColPGeom_HArray1OfBSplineCurve::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray1OfBSplineCurve::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray1OfBSplineCurve::Length | ( |  | ) | const

Standard_Integer PColPGeom_HArray1OfBSplineCurve::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray1OfBSplineCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BSplineCurve)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray1OfBSplineCurve::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray1OfBSplineCurve::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray1OfBSplineCurve::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom_BSplineCurve PColPGeom_HArray1OfBSplineCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom_FieldOfHArray1OfBSplineCurve PColPGeom_HArray1OfBSplineCurve::Data`[private]`

Standard_Integer PColPGeom_HArray1OfBSplineCurve::LowerBound`[private]`

Standard_Integer PColPGeom_HArray1OfBSplineCurve::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray1OfBSplineCurve.hxx